***CHANGED1.14: Declared obsolete. Do NOT use this field/function anymore, since it will be removed when all current LL drivers have been changed accordingly. Set this field to NULL and use writebuf_skb instead.

This field has to be preset by the HL-driver. The given function will be called by the LL for delivering data to be send via B-Channel.

Parameter:

int | driver-Id ***CHANGE.7.4: New parameter.
int | channel-number locally to the HL-driver. (starts with 0)
u_char* | pointer to data.
int | length of data-packet.
int | flag: 0 = call from within kernel-space. (HL-driver must use memcpy, may NOT use schedule()) 1 = call from user-space. (HL-driver must use memcpy_fromfs, use of schedule() allowed)

Returnvalue:

Length of data accepted on success, else error-code (-EINVAL on oversized packets etc.)